Bug 1011873 - (ghc-byteable) Review Request: ghc-byteable - Type class for sequence of bytes
Review Request: ghc-byteable - Type class for sequence of bytes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Shakthi Kannan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 06:02 EDT by Jens Petersen
Modified: 2014-01-27 08:10 EST (History)
2 users (show)

See Also:
Fixed In Version: ghc-byteable-0.1.1-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-27 08:07:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shakthimaan: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2013-09-25 06:02:43 EDT
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-byteable.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-byteable-0.1.1-1.fc19.src.rpm

Description:
Abstract class to manipulate sequence of bytes

The use case of this class is abstracting manipulation of types that are just
wrapping a bytestring with stronger and more meaniful name.

Usual definition of those types are of the form: newtype MyType = MyType
ByteString.
Comment 1 Jens Petersen 2013-09-25 06:02:50 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5981393
Comment 2 Jens Petersen 2013-09-25 20:34:20 EDT
This is needed for the clientsession stack for yesod, etc.

http://packdeps.haskellers.com/reverse/byteable
Comment 4 Shakthi Kannan 2014-01-15 06:51:29 EST
===== MUST items =====

C/C++:
[-]: Package does not contain kernel modules.
[-]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 92160 bytes in 18 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-byteable-0.1.1-2.fc19.x86_64.rpm
          ghc-byteable-devel-0.1.1-2.fc19.x86_64.rpm
          ghc-byteable-0.1.1-2.fc19.src.rpm
ghc-byteable.x86_64: W: spelling-error %description -l en_US bytestring -> byte string, byte-string, restringing
ghc-byteable.x86_64: W: spelling-error %description -l en_US meaniful -> meaningful
ghc-byteable.x86_64: W: spelling-error %description -l en_US newtype -> new type, new-type, tintype
ghc-byteable.src: W: spelling-error %description -l en_US bytestring -> byte string, byte-string, restringing
ghc-byteable.src: W: spelling-error %description -l en_US meaniful -> meaningful
ghc-byteable.src: W: spelling-error %description -l en_US newtype -> new type, new-type, tintype
3 packages and 0 specfiles checked; 0 errors, 6 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint ghc-byteable-devel ghc-byteable
ghc-byteable.x86_64: W: spelling-error %description -l en_US bytestring -> byte string, byte-string, restringing
ghc-byteable.x86_64: W: spelling-error %description -l en_US meaniful -> meaningful
ghc-byteable.x86_64: W: spelling-error %description -l en_US newtype -> new type, new-type, tintype
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'

Requires
--------
ghc-byteable-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(byteable-0.1.1-a58b9e942d78fd03d96f302a5657fb8a)
    ghc-byteable(x86-64)
    ghc-compiler
    ghc-devel(base-4.5.1.0-6e4c9bdc36eeb9121f27ccbbcb62e3f3)
    ghc-devel(bytestring-0.9.2.1-503e91bb155301fdb1956cb5c26ce6e9)

ghc-byteable (rpmlib, GLIBC filtered):
    ghc(base-4.5.1.0-6e4c9bdc36eeb9121f27ccbbcb62e3f3)
    ghc(bytestring-0.9.2.1-503e91bb155301fdb1956cb5c26ce6e9)
    libHSbase-4.5.1.0-ghc7.4.2.so()(64bit)
    libHSbytestring-0.9.2.1-ghc7.4.2.so()(64bit)
    libHSghc-prim-0.2.0.0-ghc7.4.2.so()(64bit)
    libHSinteger-gmp-0.4.0.0-ghc7.4.2.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    rtld(GNU_HASH)

Provides
--------
ghc-byteable-devel:
    ghc-byteable-devel
    ghc-byteable-devel(x86-64)
    ghc-byteable-static
    ghc-devel(byteable-0.1.1-a58b9e942d78fd03d96f302a5657fb8a)

ghc-byteable:
    ghc(byteable-0.1.1-a58b9e942d78fd03d96f302a5657fb8a)
    ghc-byteable
    ghc-byteable(x86-64)
    libHSbyteable-0.1.1-ghc7.4.2.so()(64bit)


Unversioned so-files
--------------------
ghc-byteable: /usr/lib64/ghc-7.4.2/byteable-0.1.1/libHSbyteable-0.1.1-ghc7.4.2.so

Source checksums
----------------
http://hackage.haskell.org/packages/archive/byteable/0.1.1/byteable-0.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 243b34a1b5b64b39e39fe58f75c18f6cad5b668b10cabcd86816cbde27783fe2
  CHECKSUM(SHA256) upstream package : 243b34a1b5b64b39e39fe58f75c18f6cad5b668b10cabcd86816cbde27783fe2

Successful Koji builds for F18, F19 and F20:

http://koji.fedoraproject.org/koji/taskinfo?taskID=6378281
http://koji.fedoraproject.org/koji/taskinfo?taskID=6378280
http://koji.fedoraproject.org/koji/taskinfo?taskID=6378282

Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1011873
Buildroot used: fedora-19-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

Package approved.
Comment 5 Jens Petersen 2014-01-15 21:13:21 EST
Thanks for the review :)


New Package SCM Request
=======================
Package Name: ghc-byteable
Short Description: Type class for sequence of bytes
Owners: petersen
Branches: f20 f19 el6
InitialCC: haskell-sig
Comment 6 Gwyn Ciesla 2014-01-16 07:46:04 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2014-01-16 22:09:26 EST
ghc-byteable-0.1.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghc-byteable-0.1.1-2.fc19
Comment 8 Fedora Update System 2014-01-16 22:09:35 EST
ghc-byteable-0.1.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ghc-byteable-0.1.1-2.fc20
Comment 9 Fedora Update System 2014-01-17 23:22:07 EST
ghc-byteable-0.1.1-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 10 Fedora Update System 2014-01-27 08:07:30 EST
ghc-byteable-0.1.1-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Fedora Update System 2014-01-27 08:10:09 EST
ghc-byteable-0.1.1-2.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.